<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:background="@drawable/common_bottom_dialog_gray_bg"
    android:paddingHorizontal="12dp"
    android:paddingBottom="24dp">

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/cl_order"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="20dp"
        android:background="@drawable/common_white_radius_16_bg"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/tv_category"
            android:layout_width="110dp"
            android:layout_height="29dp"
            android:background="@drawable/order_confirm_category_bg"
            android:ellipsize="end"
            android:fontFamily="@font/poppins_semibold"
            android:gravity="center"
            android:includeFontPadding="false"
            android:paddingHorizontal="6dp"
            android:singleLine="true"
            android:textColor="@color/white"
            android:textSize="12sp"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            tools:text="Lol MobileLol MobileLol Mobile" />

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/tv_name"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginHorizontal="16dp"
            android:layout_marginTop="54dp"
            android:fontFamily="@font/poppins_semibold"
            android:gravity="center"
            android:includeFontPadding="false"
            android:singleLine="true"
            android:textColor="@color/color_FF1D2129"
            android:textSize="14sp"
            app:layout_constrainedWidth="true"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            tools:text="Super Beautiful Girl Super Beautiful" />

        <View
            android:layout_width="0dp"
            android:layout_height="1dp"
            android:layout_marginHorizontal="12dp"
            android:layout_marginTop="13dp"
            android:background="@color/color_FFE5E6EB"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/tv_name" />

        <androidx.constraintlayout.widget.ConstraintLayout
            android:id="@+id/cl_price"
            android:layout_width="match_parent"
            android:layout_height="49dp"
            android:layout_marginTop="13dp"
            android:paddingHorizontal="12dp"
            app:layout_constraintTop_toBottomOf="@id/tv_name">

            <androidx.appcompat.widget.AppCompatTextView
                android:id="@+id/tv_price_title"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:fontFamily="@font/poppins_semibold"
                android:gravity="center"
                android:includeFontPadding="false"
                android:singleLine="true"
                android:text="@string/order_product_price"
                android:textColor="@color/color_FF1D2129"
                android:textSize="14sp"
                app:layout_constrainedWidth="true"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent" />

            <androidx.appcompat.widget.AppCompatImageView
                android:id="@+id/iv_coin"
                android:layout_width="12dp"
                android:layout_height="12dp"
                android:layout_marginStart="6dp"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintStart_toEndOf="@id/tv_price_title"
                app:layout_constraintTop_toTopOf="parent"
                app:srcCompat="@drawable/common_wallet_coin_ic" />

            <androidx.appcompat.widget.AppCompatTextView
                android:id="@+id/tv_price"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="2dp"
                android:includeFontPadding="false"
                android:textColor="@color/color_FF1D2129"
                android:textSize="14sp"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintStart_toEndOf="@id/iv_coin"
                app:layout_constraintTop_toTopOf="parent"
                tools:text="500/h" />

            <androidx.appcompat.widget.AppCompatTextView
                android:id="@+id/tv_count"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="2dp"
                android:includeFontPadding="false"
                android:textColor="@color/color_FF1D2129"
                android:textSize="14sp"
                android:visibility="gone"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintEnd_toStartOf="@id/v_count"
                app:layout_constraintTop_toTopOf="parent"
                tools:text="x2"
                tools:visibility="visible" />

            <com.adealink.weparty.commonui.widget.NumberIncreaseView
                android:id="@+id/v_count"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                app:default_number="1"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintTop_toTopOf="parent" />

        </androidx.constraintlayout.widget.ConstraintLayout>

        <androidx.constraintlayout.widget.ConstraintLayout
            android:id="@+id/cl_discount"
            android:layout_width="match_parent"
            android:layout_height="49dp"
            android:layout_marginTop="13dp"
            android:paddingHorizontal="12dp"
            android:visibility="gone"
            app:layout_constraintTop_toBottomOf="@id/cl_price"
            tools:visibility="visible">

            <androidx.appcompat.widget.AppCompatTextView
                android:id="@+id/tv_discount_title"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:fontFamily="@font/poppins_semibold"
                android:gravity="center"
                android:includeFontPadding="false"
                android:singleLine="true"
                android:text="@string/common_discount"
                android:textColor="@color/color_FF1D2129"
                android:textSize="14sp"
                app:layout_constrainedWidth="true"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent" />

            <androidx.appcompat.widget.AppCompatTextView
                android:id="@+id/v_discount"
                style="@style/CommonDiscountPriceView"
                android:layout_width="wrap_content"
                android:layout_marginStart="6dp"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintStart_toEndOf="@id/tv_discount_title"
                app:layout_constraintTop_toTopOf="parent"
                tools:text="New Only | 90% OFF" />

            <com.adealink.weparty.module.playmate.widget.PriceView
                android:id="@+id/v_price_discount"
                style="@style/CommonPriceView"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintTop_toTopOf="parent"
                app:price_icon_size="16dp"
                app:price_text_bold="true"
                app:price_text_size="16sp" />

        </androidx.constraintlayout.widget.ConstraintLayout>

        <androidx.constraintlayout.widget.ConstraintLayout
            android:id="@+id/cl_total"
            android:layout_width="match_parent"
            android:layout_height="49dp"
            android:paddingHorizontal="12dp"
            app:layout_constraintTop_toBottomOf="@id/cl_discount">

            <androidx.appcompat.widget.AppCompatTextView
                android:id="@+id/tv_total"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="2dp"
                android:includeFontPadding="false"
                android:text="@string/order_total_price"
                android:textColor="@color/color_FF1D2129"
                android:textSize="14sp"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintEnd_toStartOf="@id/iv_total_coin"
                app:layout_constraintHorizontal_bias="1"
                app:layout_constraintHorizontal_chainStyle="packed"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent" />

            <androidx.appcompat.widget.AppCompatImageView
                android:id="@+id/iv_total_coin"
                android:layout_width="19dp"
                android:layout_height="19dp"
                android:layout_marginStart="2dp"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintEnd_toStartOf="@id/tv_total_detail"
                app:layout_constraintStart_toEndOf="@id/tv_total"
                app:layout_constraintTop_toTopOf="parent"
                app:srcCompat="@drawable/common_wallet_coin_ic" />

            <androidx.appcompat.widget.AppCompatTextView
                android:id="@+id/tv_total_detail"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="2dp"
                android:fontFamily="@font/poppins_semibold"
                android:includeFontPadding="false"
                android:textColor="@color/color_FF1D2129"
                android:textSize="24sp"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toEndOf="@id/iv_total_coin"
                app:layout_constraintTop_toTopOf="parent"
                tools:text="2000" />

        </androidx.constraintlayout.widget.ConstraintLayout>

    </androidx.constraintlayout.widget.ConstraintLayout>

    <com.adealink.weparty.commonui.imageview.AvatarView
        android:id="@+id/iv_avatar"
        android:layout_width="60dp"
        android:layout_height="60dp"
        android:layout_marginTop="12dp"
        app:layout_constraintEnd_toEndOf="@id/cl_order"
        app:layout_constraintStart_toStartOf="@id/cl_order"
        app:layout_constraintTop_toTopOf="parent"
        app:roundingBorderColor="@color/white"
        app:roundingBorderWidth="1dp" />

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/cl_remark"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="10dp"
        android:background="@drawable/common_white_radius_16_bg"
        android:paddingHorizontal="12dp"
        android:visibility="gone"
        app:layout_constraintTop_toBottomOf="@id/cl_order"
        tools:visibility="visible">

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/tv_mark"
            android:layout_width="wrap_content"
            android:layout_height="60dp"
            android:layout_marginHorizontal="8dp"
            android:ellipsize="end"
            android:fontFamily="@font/poppins_semibold"
            android:gravity="center"
            android:includeFontPadding="false"
            android:singleLine="true"
            android:text="@string/order_remark"
            android:textColor="@color/color_FF1D2129"
            android:textSize="14sp"
            app:layout_constrainedWidth="true"
            app:layout_constraintHorizontal_bias="0"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/tv_remark_input"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginHorizontal="8dp"
            android:background="@null"
            android:gravity="start|center_vertical"
            android:hint="@string/order_remark_hint"
            android:includeFontPadding="false"
            android:lines="1"
            android:minHeight="60dp"
            android:paddingVertical="8dp"
            android:singleLine="true"
            android:textColor="@color/color_FF1D2129"
            android:textColorHint="@color/color_FFC9CDD4"
            android:textSize="12sp"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintHorizontal_bias="0"
            app:layout_constraintStart_toEndOf="@id/tv_mark"
            app:layout_constraintTop_toTopOf="parent" />

    </androidx.constraintlayout.widget.ConstraintLayout>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/cl_wallet"
        android:layout_width="match_parent"
        android:layout_height="66dp"
        android:layout_marginTop="10dp"
        android:background="@drawable/common_white_radius_16_bg"
        android:paddingHorizontal="12dp"
        app:layout_constraintTop_toBottomOf="@id/cl_remark">

        <androidx.appcompat.widget.AppCompatImageView
            android:id="@+id/iv_wallet"
            android:layout_width="38dp"
            android:layout_height="38dp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:srcCompat="@drawable/common_wallet_pay_ic" />

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/tv_wallet"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="6dp"
            android:fontFamily="@font/poppins_semibold"
            android:includeFontPadding="false"
            android:text="@string/common_wallet"
            android:textColor="@color/color_FF1D2129"
            android:textSize="12sp"
            app:layout_constraintBottom_toTopOf="@id/iv_wallet_coin"
            app:layout_constraintStart_toEndOf="@id/iv_wallet"
            app:layout_constraintTop_toTopOf="@id/iv_wallet"
            app:layout_constraintVertical_chainStyle="packed" />

        <androidx.appcompat.widget.AppCompatImageView
            android:id="@+id/iv_wallet_coin"
            android:layout_width="12dp"
            android:layout_height="12dp"
            android:layout_marginTop="2dp"
            app:layout_constraintBottom_toBottomOf="@id/iv_wallet"
            app:layout_constraintStart_toStartOf="@id/tv_wallet"
            app:layout_constraintTop_toBottomOf="@id/tv_wallet"
            app:srcCompat="@drawable/common_wallet_coin_ic" />

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/tv_wallet_coin"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="2dp"
            android:includeFontPadding="false"
            android:textColor="@color/color_FF1D2129"
            android:textSize="12sp"
            app:layout_constraintBottom_toBottomOf="@id/iv_wallet_coin"
            app:layout_constraintStart_toEndOf="@id/iv_wallet_coin"
            app:layout_constraintTop_toTopOf="@id/iv_wallet_coin"
            app:layout_constraintVertical_chainStyle="packed"
            tools:text="3000" />

        <androidx.appcompat.widget.AppCompatImageView
            android:id="@+id/v_checked"
            android:layout_width="22dp"
            android:layout_height="22dp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:srcCompat="@drawable/common_check_selected_ic" />

    </androidx.constraintlayout.widget.ConstraintLayout>

    <com.adealink.weparty.commonui.widget.CommonButton
        android:id="@+id/btn_pay"
        android:layout_width="0dp"
        android:layout_height="@dimen/common_button_height"
        android:layout_marginHorizontal="12dp"
        android:layout_marginTop="16dp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/cl_wallet"
        app:text="@string/order_pay_now"
        app:textSize="16sp" />

</androidx.constraintlayout.widget.ConstraintLayout>